<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" xlink:label="IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_AccountsReceivableFromCompletedConstructionContracts" xlink:label="AccountsReceivableFromCompletedConstructionContracts" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_Total" xlink:label="Total" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ProvisionForDecommissioningAndRemovalCL" xlink:label="ProvisionForDecommissioningAndRemovalCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:label="ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" xlink:label="NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_RightOfUseAssetsPPE" xlink:label="RightOfUseAssetsPPE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_CostReportOfCompletedConstructionContractsTextBlock" xlink:label="CostReportOfCompletedConstructionContractsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" xlink:label="NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_KubotaHiroshiMember" xlink:label="KubotaHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_UchinoShuumaMember" xlink:label="UchinoShuumaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_TakagiAtsushiMember" xlink:label="TakagiAtsushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_SekiYokoMember" xlink:label="SekiYokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_MorimotoHidekaMember" xlink:label="MorimotoHidekaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_NakamuraMasatoMember" xlink:label="NakamuraMasatoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_SakakibaraKazuoMember" xlink:label="SakakibaraKazuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_HiokaHiroyukiMember" xlink:label="HiokaHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_WakamatsuHiroyukiMember" xlink:label="WakamatsuHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:label="PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_KojimaKazuhitoMember" xlink:label="KojimaKazuhitoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_KamiyaTadashiMember" xlink:label="KamiyaTadashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:label="ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_EquipmentWorkReportableSegmentsMember" xlink:label="EquipmentWorkReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_EquipmentManufacturingAndSalesReportableSegmentsMember" xlink:label="EquipmentManufacturingAndSalesReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ProvisionForDecommissioningAndRemovalsNOE" xlink:label="ProvisionForDecommissioningAndRemovalsNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_CompensationExpenseNOE" xlink:label="CompensationExpenseNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" xlink:label="ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_MorinoMasatoshiMember" xlink:label="MorinoMasatoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" xlink:label="OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" xlink:label="DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00149-000_2024-03-31_01_2024-06-19.xsd#jpcrp030000-asr_E00149-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableFromCompletedConstructionContracts_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AccountsReceivableFromCompletedConstructionContracts_2">完成工事未収入金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableFromCompletedConstructionContracts" xlink:to="label_AccountsReceivableFromCompletedConstructionContracts_2" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableFromCompletedConstructionContracts" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AccountsReceivableFromCompletedConstructionContracts">完成工事未収入金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableFromCompletedConstructionContracts" xlink:to="label_AccountsReceivableFromCompletedConstructionContracts" />
    <link:label xlink:type="resource" xlink:label="label_Total_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_Total_2">計</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Total" xlink:to="label_Total_2" />
    <link:label xlink:type="resource" xlink:label="label_Total" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_Total">計</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Total" xlink:to="label_Total" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_2">オープンイノベーション促進積立金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:to="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember">オープンイノベーション促進積立金 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:to="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS">オープンイノベーション促進積立金の積立</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" xlink:to="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS_2">オープンイノベーション促進積立金の積立、株主資本等変動計算書</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS" xlink:to="label_ProvisionOfReserveForTaxPurposeReductionToPromoteOpenInnovationSS_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA_2">受取手形・完成工事未収入金及び契約資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" xlink:to="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA">受取手形・完成工事未収入金及び契約資産、流動資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" xlink:to="label_NotesAccountsReceivableFromCompletedConstructionContractsAndContractAssetsCA" />
    <link:label xlink:type="resource" xlink:label="label_RightOfUseAssetsPPE_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RightOfUseAssetsPPE_2">使用権資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RightOfUseAssetsPPE" xlink:to="label_RightOfUseAssetsPPE_2" />
    <link:label xlink:type="resource" xlink:label="label_RightOfUseAssetsPPE" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RightOfUseAssetsPPE">使用権資産、有形固定資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RightOfUseAssetsPPE" xlink:to="label_RightOfUseAssetsPPE" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForDecommissioningAndRemovalCL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForDecommissioningAndRemovalCL_2">解体撤去引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForDecommissioningAndRemovalCL" xlink:to="label_ProvisionForDecommissioningAndRemovalCL_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForDecommissioningAndRemovalCL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForDecommissioningAndRemovalCL">解体撤去引当金、流動負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForDecommissioningAndRemovalCL" xlink:to="label_ProvisionForDecommissioningAndRemovalCL" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_2">オープンイノベーション促進積立金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:to="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_2" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE">オープンイノベーション促進積立金、その他利益剰余金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:to="label_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForDecommissioningAndRemovalsNOE_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForDecommissioningAndRemovalsNOE_2">解体撤去引当金繰入額</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForDecommissioningAndRemovalsNOE" xlink:to="label_ProvisionForDecommissioningAndRemovalsNOE_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForDecommissioningAndRemovalsNOE" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForDecommissioningAndRemovalsNOE">解体撤去引当金繰入額、営業外費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForDecommissioningAndRemovalsNOE" xlink:to="label_ProvisionForDecommissioningAndRemovalsNOE" />
    <link:label xlink:type="resource" xlink:label="label_CompensationExpenseNOE_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CompensationExpenseNOE_2">支払補償金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationExpenseNOE" xlink:to="label_CompensationExpenseNOE_2" />
    <link:label xlink:type="resource" xlink:label="label_CompensationExpenseNOE" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CompensationExpenseNOE">支払補償金、営業外費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationExpenseNOE" xlink:to="label_CompensationExpenseNOE" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults_2">完成工事高</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" xlink:to="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults">完成工事高、経営指標等</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" xlink:to="label_NetSalesOfCompletedConstructionContractsSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentWorkReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EquipmentWorkReportableSegmentsMember_2">設備工事事業</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentWorkReportableSegmentsMember" xlink:to="label_EquipmentWorkReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentWorkReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EquipmentWorkReportableSegmentsMember">設備工事事業、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentWorkReportableSegmentsMember" xlink:to="label_EquipmentWorkReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentManufacturingAndSalesReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EquipmentManufacturingAndSalesReportableSegmentsMember_2">設備機器の製造・販売事業</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentManufacturingAndSalesReportableSegmentsMember" xlink:to="label_EquipmentManufacturingAndSalesReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentManufacturingAndSalesReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EquipmentManufacturingAndSalesReportableSegmentsMember">設備機器の製造・販売事業、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentManufacturingAndSalesReportableSegmentsMember" xlink:to="label_EquipmentManufacturingAndSalesReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF_2">解体撤去引当金の増減額（△は減少）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" xlink:to="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF">解体撤去引当金の増減額（△は減少）、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" xlink:to="label_IncreaseDecreaseInProvisionForDecommissioningAndRemovalOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember_2">社外取締役（監査等委員を除く）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember">社外取締役（監査等委員を除く） [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" xlink:to="label_OutsideDirectorsDirectorsExcludingAuditAndSupervisoryCommitteeMembersMember" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember_2">社外取締役（監査等委員）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" xlink:to="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember">社外取締役（監査等委員） [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" xlink:to="label_DirectorsAppointedAsAuditAndSupervisoryCommitteeMembersOutsideDirectorsMember" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers_2">業績連動報酬等（賞与）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers">業績連動報酬等（賞与）、役員区分ごとの報酬等</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceLinkedRemunerationEtcBonusRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">非金銭報酬等（株式報酬）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">非金銭報酬等（株式報酬）、役員区分ごとの報酬等</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_NonMonetaryRemunerationEtcShareAwardsRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyHumanCapital_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyHumanCapital">他の記載への参照、戦略、人的資本</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_CostReportOfCompletedConstructionContractsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CostReportOfCompletedConstructionContractsTextBlock_2">完成工事原価報告書</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostReportOfCompletedConstructionContractsTextBlock" xlink:to="label_CostReportOfCompletedConstructionContractsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_CostReportOfCompletedConstructionContractsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CostReportOfCompletedConstructionContractsTextBlock">完成工事原価報告書 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostReportOfCompletedConstructionContractsTextBlock" xlink:to="label_CostReportOfCompletedConstructionContractsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_KojimaKazuhitoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KojimaKazuhitoMember">小島　和人</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KojimaKazuhitoMember" xlink:to="label_KojimaKazuhitoMember" />
    <link:label xlink:type="resource" xlink:label="label_KojimaKazuhitoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KojimaKazuhitoMember_2">小島　和人 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KojimaKazuhitoMember" xlink:to="label_KojimaKazuhitoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KubotaHiroshiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KubotaHiroshiMember_2">久保田　浩司</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KubotaHiroshiMember" xlink:to="label_KubotaHiroshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KubotaHiroshiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KubotaHiroshiMember">久保田　浩司 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KubotaHiroshiMember" xlink:to="label_KubotaHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_KamiyaTadashiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KamiyaTadashiMember">神谷　忠史</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KamiyaTadashiMember" xlink:to="label_KamiyaTadashiMember" />
    <link:label xlink:type="resource" xlink:label="label_KamiyaTadashiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KamiyaTadashiMember_2">神谷　忠史 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KamiyaTadashiMember" xlink:to="label_KamiyaTadashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MorinoMasatoshiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MorinoMasatoshiMember_2">森野　正敏</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MorinoMasatoshiMember" xlink:to="label_MorinoMasatoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MorinoMasatoshiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MorinoMasatoshiMember">森野　正敏 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MorinoMasatoshiMember" xlink:to="label_MorinoMasatoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_UchinoShuumaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UchinoShuumaMember_2">内野　州馬</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UchinoShuumaMember" xlink:to="label_UchinoShuumaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UchinoShuumaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UchinoShuumaMember">内野　州馬 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UchinoShuumaMember" xlink:to="label_UchinoShuumaMember" />
    <link:label xlink:type="resource" xlink:label="label_TakagiAtsushiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakagiAtsushiMember_2">髙木　敦</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiAtsushiMember" xlink:to="label_TakagiAtsushiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakagiAtsushiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakagiAtsushiMember">髙木　敦 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiAtsushiMember" xlink:to="label_TakagiAtsushiMember" />
    <link:label xlink:type="resource" xlink:label="label_SekiYokoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SekiYokoMember_2">関　葉子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SekiYokoMember" xlink:to="label_SekiYokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SekiYokoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SekiYokoMember">関　葉子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SekiYokoMember" xlink:to="label_SekiYokoMember" />
    <link:label xlink:type="resource" xlink:label="label_MorimotoHidekaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MorimotoHidekaMember_2">森本　英香</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MorimotoHidekaMember" xlink:to="label_MorimotoHidekaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MorimotoHidekaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MorimotoHidekaMember">森本　英香 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MorimotoHidekaMember" xlink:to="label_MorimotoHidekaMember" />
    <link:label xlink:type="resource" xlink:label="label_NakamuraMasatoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakamuraMasatoMember_2">中村　正人</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakamuraMasatoMember" xlink:to="label_NakamuraMasatoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakamuraMasatoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakamuraMasatoMember">中村　正人 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakamuraMasatoMember" xlink:to="label_NakamuraMasatoMember" />
    <link:label xlink:type="resource" xlink:label="label_SakakibaraKazuoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakakibaraKazuoMember_2">榊原　一夫</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakakibaraKazuoMember" xlink:to="label_SakakibaraKazuoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SakakibaraKazuoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakakibaraKazuoMember">榊原　一夫 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakakibaraKazuoMember" xlink:to="label_SakakibaraKazuoMember" />
    <link:label xlink:type="resource" xlink:label="label_HiokaHiroyukiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiokaHiroyukiMember_2">日岡　裕之</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiokaHiroyukiMember" xlink:to="label_HiokaHiroyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HiokaHiroyukiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiokaHiroyukiMember">日岡　裕之 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiokaHiroyukiMember" xlink:to="label_HiokaHiroyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_WakamatsuHiroyukiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WakamatsuHiroyukiMember_2">若松　弘之</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WakamatsuHiroyukiMember" xlink:to="label_WakamatsuHiroyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WakamatsuHiroyukiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WakamatsuHiroyukiMember">若松　弘之 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WakamatsuHiroyukiMember" xlink:to="label_WakamatsuHiroyukiMember" />
  </link:labelLink>
</link:linkbase>